.crimson-text-regular {
    font-family: "Crimson Text", serif;
    font-weight: 400;
    font-style: normal;
}

.crimson-text-semibold {
    font-family: "Crimson Text", serif;
    font-weight: 600;
    font-style: normal;
}

.crimson-text-bold {
    font-family: "Crimson Text", serif;
    font-weight: 700;
    font-style: normal;
}

.crimson-text-regular-italic {
    font-family: "Crimson Text", serif;
    font-weight: 400;
    font-style: italic;
}

.crimson-text-semibold-italic {
    font-family: "Crimson Text", serif;
    font-weight: 600;
    font-style: italic;
}

.crimson-text-bold-italic {
    font-family: "Crimson Text", serif;
    font-weight: 700;
    font-style: italic;
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    background-image: linear-gradient(200deg, #A6FBFF, #DCFFEA);
    max-width: 100vw;
    color: #175F7D;
    font-family: Crimson Text, Helvetica, sans-serif, sans-serif;
    font-weight: bold;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
}

header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-end;
    gap: 1rem;

}

header,
footer {
    background-color: #175F7D;
    padding: 0.5rem 1rem;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 3rem auto;
    max-width: 800px;
    gap: 2rem;
}


.title p,
footer p {
    color: white;
}

.title {
    flex: 1 0 auto;
    width: fit-content;
    align-self: flex-start;
}

.name {
    font-size: 2rem;
}

.name a {
    color: white;
    transition: 0.3s;
}

.name a:hover {
    opacity: 75%;
}

.description {
    font-size: 0.75rem;
}

.tinytext {
    font-size: 0.5rem;
    transition: 0.3s;
}

.tinytext:hover {
    font-size: 1rem;
}

nav {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin: auto;
    justify-content: center;
}

.link-button {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
    border: 3px solid;
    border-radius: 25px;
    padding: 0.25rem 1rem;
    background-color: white;
    margin: auto;
    transition: 0.3s;
}


.link-button:hover {
    transform: rotate(-3deg) scale(1.1);
}

nav a {
    text-decoration: none;
    color: #175F7D;
}

ul {
    margin-top: -1rem;
}

li::before {
    content: "✦ ";

}

li {
    list-style-type: none;
    margin-left: 1rem;
}

.pastcons li{
    display: inline-flex;
}

.disclaimer {
    font-style: italic;
    font-size: 0.75rem;
    margin-top: -1rem;
    margin-bottom: 1rem;
}

.info-set a {
    text-decoration: underline;
    color: #175F7D;
}

.info-set a:hover {
    opacity: 75%;
}

.info-set {
    display: flex;
    flex-direction: column;
    margin: auto;
    width: 800px;
    max-width: 90vw;
    flex: 1 1 auto;
    justify-content: center;
}

.infobox {
    border: #175F7D 3px solid;
    border-radius: 25px;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    flex-wrap: wrap;
    background-color: #ffffff50;
}

.caption {
    margin: -0.5rem 2rem 0.5rem;
}

.personal {
    font-size: 0.75rem;
}

.side {
    display: flex;
    flex-wrap: wrap;
}

.imagebox {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    padding: 1rem 1rem 0 1rem;
    margin: auto;
}

.imagebox img {
    border-radius: 25px;
}

.boxcontent {
    display: flex;
    flex-direction: column;
}

.box-column {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

h1 {
    padding-left: 1rem;
    font-size: 4rem;
}

h2 {
    font-size: 3rem;
    margin-left: 1rem;
}

h3 {
    font-size: 2rem;
}

h4 {
    font-size: 1.25rem;
    margin-bottom: 0.75rem;
}

.likes {
    margin-bottom: 1rem;
}


.goals {
    margin-top: 0;
}

.wrappertext {
    width: 60%;
    flex: 1 1 auto;
    margin-top: 1rem;
}

.image-caption {
    font-style: italic;
    font-weight: normal;
}

.tilt-right {
    transform: rotate(0.5deg);
}

.tilt-left {
    transform: rotate(-0.5deg);
}

.goodtoknow {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.spacer {
    width: 25%;
}

.footer-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-weight: normal;
    font-size: 0.75rem;
    margin: 1rem auto;
    width: 50%;
}

.neocities {
    display: flex;
    justify-content: end;
    width: 25%;
}

.neocities img {
    transition: 0.25s;
}

.neocities img:hover {
    cursor: pointer;
    transform: scale(1.05);
    opacity: 0.5;
}


@media only screen and (max-width: 600px) {
    h1 {
        font-size: 3rem;
        text-align: center;
    }
    h2 {
        font-size: 2rem;
    }
    header {
        flex-direction: column;
        align-items: center;
    }

    main {
        gap: 2rem;
        margin: 2rem auto 3rem;
    }

    .info-set {
        margin: 0;
    }
    .name {
        font-size: 12vw;
    }
    nav {
        flex-direction: column;
        width: 90vw;
        gap: 0;
        margin: auto;
    }
    .link-button:hover {
        transform: none;
    }

    .neocities {
        justify-content: center;
    }

    .neocities img:hover {
        transform: none;
        opacity: 100%;
    }
    footer {
        flex-flow: column nowrap;
        justify-content: center;
        gap: 0.5rem;
    }

    .spacer {
        display: none;
    }

    .footer-text {
        width: fit-content;
        margin: auto;
        text-align: center;
    }
}

@media only screen and (max-width: 600px){
    .sides {
        flex-direction: column;
    }
    .sides .infobox {
        margin: auto;
        width: 90vw;
    }
    
}